Get a single interaction (Conversation Analyzer API)

Get a single interaction (Conversation Analyzer API)

The GET /interactions/{guid} endpoint returns categorization and call time breakdown data for a single call recording. Optionally, it can also return the transcript of the recording, if requested, and sentiment summary if enabled for the account.

In this page

Headers

Header parameters in Requests (Conversation Analyzer API) apply to this endpoint.

Authorization scopes supported:

Scope

Access granted

Scope

Access granted

interaction-content:read

Entire endpoint

Request parameters

Path parameters

guid

Type

Required

Example

Type

Required

Example

String

True

62414dc5-750e-4200-b125-7a11b61e3a28

The unique identifier for the recording’s call.

Query string parameter

transcript

Type

Required

Example

Type

Required

Example

Boolean

False

true

A flag indicating whether you want to receive the transcript information for the recording. Default is false.

Requests

Request the transcript, categorization, call time breakdown, and sentiment summary data for a single call

curl -L -X GET "https://***.api.newvoicemedia.com/conversation-analyzer/interactions/0164705c-c206-dce9-d61a-9899855326a0?transcript=true" -H "Accept: application/vnd.newvoicemedia.v3+json" -H "Authorization: <ACCESS_TOKEN>"

Responses

A response to a valid GET /interactions/{guid} request contains a single interaction item with information about the recording for a single call.

Successful responses

Successful requests return a 200 Success code.

{ "categories": [ { "category": "Politeness", "categories": [ { "name": "Greeting", "matches": "1" }, { "name": "Closing", "matches": "3" } ] }, { "category": "Communication", "categories": [ { "name": "Responsive", "matches": "1" } ] } ], "guid": "0164705c-c206-dce9-d61a-9899855326a0", "language": "en-us", "status": "processed", "confidence": "Low", "callTimeBreakDown": { "agent": 5, "customer": 1, "silence": 4, "crossTalk": 0 }, "transcript": "Case.\nHi, and yeah, just a call here. Thank you bye." "sentimentSummary": { "overallSentiment": -0.05, "categories": { "veryNegative": 20, "negative": 20, "neutral": 20, "positive": 20, "veryPositive": 20 }, "distributionOverTime": [ { "score": 0.61, "span": { "start": 0, "end": 10 } }, { "score": 0.61, "span": { "start": 10, "end": 20 } }, { "score": -0.61, "span": { "start": 20, "end": 30 } }, { "score": -0.61, "span": { "start": 30, "end": 40 } }, { "score": -0.61, "span": { "start": 40, "end": 50 } }, { "score": -0.48, "span": { "start": 50, "end": 60 } }, { "score": 0.05, "span": { "start": 60, "end": 70 } }, { "score": 0.57, "span": { "start": 70, "end": 80 } }, { "score": 0, "span": { "start": 80, "end": 90 } }, { "score": 0, "span": { "start": 90, "end": 100 } } ] } }

where an interaction item contains the following parameters: